#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}
# http://prometheus.io/docs/operating/configuration/

global:
  resolve_timeout: 5m

# The directory from which notification templates are read.
templates: []

route:
  receiver: 'slack-notifications'
  group_wait: 10s
  group_interval: 10s
  repeat_interval: 1h
  group_by: ['alertname', 'datacentre']
  routes:
  - receiver: 'slack-notifications-mvp'
    match_re:
      namespace: integration.*|staging.*|ci.*
  - receiver: 'slack-notifications-dp-plat'
    match_re:
      namespace: dp.*|shared.*|ops.*|sdp-.*

{% if alerts_inhibit_rules != [] %}
inhibit_rules:
{{ alerts_inhibit_rules | to_nice_yaml(indent=2) | indent(2,False) }}
{% endif %}

receivers:
- name: 'slack-notifications'
  slack_configs:
  - api_url: {{ slack_api_url }}
    channel: {{ slack_channel }}
    text: "<!channel> \nAlert: <{{ '{{' }} if .CommonAnnotations.runbook_url {{ '}}' }}{{ '{{' }} .CommonAnnotations.runbook_url {{ '}}' }}|{{ '{{' }} end {{ '}}' }}{{ '{{' }} .GroupLabels.alertname {{ '}}' }}> {{ '{{' }} if .CommonAnnotations.namespace {{ '}}' }} \nNamespace: <https://k8s.stfc.skao.int/kibana/app/logs/stream?flyoutOptions=(flyoutId:!n,flyoutVisibility:hidden,surroundingLogsId:!n)&logFilter=(expression:%27kubernetes.namespace%20:%20{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}%27,kind:kuery)&logPosition=(end:now,,start:now-1d,streamLive:!f)|{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}> {{ '{{' }} end {{ '}}' }}  {{ '{{' }} if .CommonAnnotations.summary {{ '}}' }}\nSummary: {{ '{{' }} .CommonAnnotations.summary {{ '}}' }} {{ '{{' }} end {{ '}}' }} {{ '{{' }} if .CommonAnnotations.message {{ '}}' }}\nMessage: {{ '{{' }} .CommonAnnotations.message {{ '}}' }} {{ '{{' }} end {{ '}}' }}\nSee: <{{ prometheus_url }}/alerts|Alerts> and all <{{ prometheus_alertmanager_url }}/#/alerts?receiver=slack-notifications|Slack Notifications>\n\nDetails:{{ '{{' }} range .Alerts {{ '}}' }}{{ '{{' }} if .Annotations.instance {{ '}}' }}[{{ '{{' }} .Annotations.instance {{ '}}' }}] {{ '{{' }} end {{ '}}' }} {{ '{{' }} .Annotations.message {{ '}}' }}\n{{ '{{' }} end {{ '}}' }}"

- name: 'slack-notifications-mvp'
  slack_configs:
  - api_url: {{ slack_api_url_mvp }}
    channel: {{ slack_channel_mvp }}
    text: "<!channel> \nAlert: <{{ '{{' }} if .CommonAnnotations.runbook_url {{ '}}' }}{{ '{{' }} .CommonAnnotations.runbook_url {{ '}}' }}|{{ '{{' }} end {{ '}}' }}{{ '{{' }} .GroupLabels.alertname {{ '}}' }}> {{ '{{' }} if .CommonAnnotations.namespace {{ '}}' }} \nNamespace: <https://k8s.stfc.skao.int/kibana/app/logs/stream?flyoutOptions=(flyoutId:!n,flyoutVisibility:hidden,surroundingLogsId:!n)&logFilter=(expression:%27kubernetes.namespace%20:%20{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}%27,kind:kuery)&logPosition=(end:now,,start:now-1d,streamLive:!f)|{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}> {{ '{{' }} end {{ '}}' }}  {{ '{{' }} if .CommonAnnotations.summary {{ '}}' }}\nSummary: {{ '{{' }} .CommonAnnotations.summary {{ '}}' }} {{ '{{' }} end {{ '}}' }} {{ '{{' }} if .CommonAnnotations.message {{ '}}' }}\nMessage: {{ '{{' }} .CommonAnnotations.message {{ '}}' }} {{ '{{' }} end {{ '}}' }}\nSee: <{{ prometheus_url }}/alerts|Alerts> and all <{{ prometheus_alertmanager_url }}/#/alerts?receiver=slack-notifications-mvp|Slack Notifications>\n\nDetails:{{ '{{' }} range .Alerts {{ '}}' }}{{ '{{' }} if .Annotations.instance {{ '}}' }}[{{ '{{' }} .Annotations.instance {{ '}}' }}] {{ '{{' }} end {{ '}}' }} {{ '{{' }} .Annotations.message {{ '}}' }}\n{{ '{{' }} end {{ '}}' }}"

- name: 'slack-notifications-dp-plat'
  slack_configs:
  - api_url: {{ slack_api_url_dp }}
    channel: {{ slack_channel_dp }}
    text: "<!channel> \nAlert: <{{ '{{' }} if .CommonAnnotations.runbook_url {{ '}}' }}{{ '{{' }} .CommonAnnotations.runbook_url {{ '}}' }}|{{ '{{' }} end {{ '}}' }}{{ '{{' }} .GroupLabels.alertname {{ '}}' }}> {{ '{{' }} if .CommonAnnotations.namespace {{ '}}' }} \nNamespace: <https://k8s.stfc.skao.int/kibana/app/logs/stream?flyoutOptions=(flyoutId:!n,flyoutVisibility:hidden,surroundingLogsId:!n)&logFilter=(expression:%27kubernetes.namespace%20:%20{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}%27,kind:kuery)&logPosition=(end:now,,start:now-1d,streamLive:!f)|{{ '{{' }} .CommonAnnotations.namespace {{ '}}' }}> {{ '{{' }} end {{ '}}' }}  {{ '{{' }} if .CommonAnnotations.summary {{ '}}' }}\nSummary: {{ '{{' }} .CommonAnnotations.summary {{ '}}' }} {{ '{{' }} end {{ '}}' }} {{ '{{' }} if .CommonAnnotations.message {{ '}}' }}\nMessage: {{ '{{' }} .CommonAnnotations.message {{ '}}' }} {{ '{{' }} end {{ '}}' }}\nSee: <{{ prometheus_url }}/alerts|Alerts> and all <{{ prometheus_alertmanager_url }}/#/alerts?receiver=slack-notifications-mvp|Slack Notifications>\n\nDetails:{{ '{{' }} range .Alerts {{ '}}' }}{{ '{{' }} if .Annotations.instance {{ '}}' }}[{{ '{{' }} .Annotations.instance {{ '}}' }}] {{ '{{' }} end {{ '}}' }} {{ '{{' }} .Annotations.message {{ '}}' }}\n{{ '{{' }} end {{ '}}' }}"
